Agent Sessions
List mode sessions
Lists sessions for a built-in or custom mode, ordered by most recent activity. Results include only API runs created with the authenticating API key.
Use limit, after, and before for cursor pagination. Without these parameters, the endpoint returns legacy offset pagination.
GET
/
kapso-agent
/
modes
/
{mode}
/
sessions
List mode sessions
curl --request GET \
--url https://api.kapso.ai/platform/v1/kapso-agent/modes/{mode}/sessions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.kapso.ai/platform/v1/kapso-agent/modes/{mode}/sessions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.kapso.ai/platform/v1/kapso-agent/modes/{mode}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"run_count": 1,
"latest_run": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z"
},
"last_activity_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 2,
"per_page": 2,
"total_pages": 1,
"total_count": 1,
"has_next": true,
"total_count_estimated": true
},
"paging": {
"cursors": {
"before": "<string>",
"after": "<string>"
},
"next": "<string>",
"previous": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
Built-in or custom mode slug
Query Parameters
Page number for legacy offset pagination. Use cursor pagination for new integrations.
Required range:
1 <= x <= 50Number of results for legacy offset pagination.
Required range:
1 <= x <= 100Maximum number of results for cursor pagination.
Required range:
1 <= x <= 100Cursor for the previous page.
Cursor for the next page.
Was this page helpful?
⌘I
List mode sessions

